//
//  tempImageView.m
//  collage
//
//  Created by Shannon Appelcline on 9/16/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import "tempImageView.h"


@implementation tempImageView

- (void) touchesBegan:(NSSet *)touches withEvent:(UIEvent *)event {

//	self.center = [[touches anyObject] locationInView:self];

}

- (void) touchesEnded:(NSSet *)touches withEvent:(UIEvent *)event {

//	self.center = [[touches anyObject] locationInView:self];
}

- (void) touchesMoved:(NSSet *)touches withEvent:(UIEvent *)event {

	UITouch *thisTouch = [touches anyObject];
	CGPoint thisPoint = [thisTouch locationInView:self];
	
	float newX = thisPoint.x+self.frame.origin.x;
	float newY = thisPoint.y+self.frame.origin.y;
	
	if (newX < 0) {
		newX = 0;
	}
	
	if (newY < 0) {
		newY = 0;
	}
	// Updated for ipad
	CGRect scRect = [[UIScreen mainScreen] applicationFrame];
	if(newX > scRect.size.width) {
		newX = scRect.size.width;
	}
	if(newY > scRect.size.height) {
		newY = scRect.size.height;
	}
	
	if (thisTouch) {
		self.center = CGPointMake(newX,newY);
	}
}

- (id)initWithFrame:(CGRect)frame {
	if (self = [super initWithFrame:frame]) {
		// Initialization code
	}
	return self;
}


- (void)drawRect:(CGRect)rect {
	// Drawing code
}


- (void)dealloc {
	[super dealloc];
}


@end
