//
//  webview.m
//  newclass
//
//  Created by Shannon Appelcline on 7/7/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import "labeledwebview.h"


@implementation labeledwebview

@synthesize myLabel;
@synthesize myWebView;

- (id)initWithFrame:(CGRect)frame {
	if (self = [super initWithFrame:frame]) {

		myLabel = [[UILabel alloc] initWithFrame:CGRectMake(20, 20, 280, 50)];
		myWebView = [[UIWebView alloc] initWithFrame:CGRectMake(20,60,280,400)]; 

		myLabel.textColor = [UIColor whiteColor];
		myLabel.shadowColor = [UIColor blackColor];
		myLabel.adjustsFontSizeToFitWidth = YES;
		myWebView.scalesPageToFit = YES;
		
		[self addSubview:myLabel];
		[self addSubview:myWebView];
		
	}
	return self;
}

- (void)setBackgroundColor:(UIColor *)color {

	[super setBackgroundColor:color];
	[myLabel setBackgroundColor:color];
	
}

- (void)loadURL:(NSString *)url {

	[myWebView loadRequest:
	 [NSURLRequest requestWithURL:
	  [NSURL URLWithString:url]]];

	myLabel.text = url;
	
}

- (void)drawRect:(CGRect)rect {
	// Drawing code
}


- (void)dealloc {
	[myWebView release];
	[myLabel release];
	
	[super dealloc];
}


@end
