//
//  rgbAppDelegate.m
//  rgb
//
//  Created by Shannon Appelcline on 7/9/08.
//  Copyright __MyCompanyName__ 2008. All rights reserved.
//

#import "rgbViewController.h"

@implementation rgbViewController
@synthesize mySlider;
@synthesize myText;

- (IBAction)changeColor:(id)sender {

	int red;
	int green;
	int blue;
	
	if ([myText.text caseInsensitiveCompare:@"red"] == NSOrderedSame) {
			red = 1; green = 0; blue = 0;
	} else if ([myText.text caseInsensitiveCompare:@"blue"] == NSOrderedSame) {
		red = 0; green = 0; blue = 1;
	} else if ([myText.text caseInsensitiveCompare:@"green"] == NSOrderedSame) {
		red = 0; green = 1; blue = 0;
	} else {
		red = .5; green = .5; blue = .5;
	}
	
	float newShade = mySlider.value / (mySlider.maximumValue - mySlider.minimumValue);
	[self.view setBackgroundColor:[UIColor colorWithRed:red green:green blue:blue alpha:newShade]];
}

/*
 Implement loadView if you want to create a view hierarchy programmatically
- (void)loadView {
}
 */

- (void)viewDidLoad {

	myText.returnKeyType = UIReturnKeyDone;
 
	[super viewDidLoad];
}

- (BOOL)textFieldShouldReturn:(UITextField *)textField {
	[textField resignFirstResponder];
	return YES;
}


- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
	// Return YES for supported orientations
	return (interfaceOrientation == UIInterfaceOrientationPortrait);
}


- (void)didReceiveMemoryWarning {
	[super didReceiveMemoryWarning]; // Releases the view if it doesn't have a superview
	// Release anything that's not essential, such as cached data
}


- (void)dealloc {
	[super dealloc];
}

@end
