//
//  AddEntryViewController.h
//  CDJournal
//
//  Created by Brandon Trebitowski on 11/2/09.
//  Copyright 2009 RightSprite. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <CoreData/CoreData.h>
#import "Entry.h"

@interface AddEntryViewController : UIViewController <UITextFieldDelegate> {
	IBOutlet UITextView  * textView;
	IBOutlet UITextField * textField;
	
	Entry * entry;
	
	NSManagedObjectContext * managedObjectContext;
}

@property (nonatomic, retain) IBOutlet UITextView  * textView;
@property (nonatomic, retain) IBOutlet UITextField * textField;
@property (nonatomic, retain) Entry * entry;
@property (nonatomic, retain) NSManagedObjectContext * managedObjectContext;

- (IBAction)done:(id) sender;
- (IBAction)save:(id) sender;
- (IBAction)cancel:(id) sender;

@end
