//
//  distanceViewController.h
//  distance
//
//  Created by Shannon Appelcline on 8/22/08.
//  Copyright __MyCompanyName__ 2008. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "CoreLocation/CLLocationManagerDelegate.h"

@interface distanceViewController : UIViewController <CLLocationManagerDelegate> {

	IBOutlet UILabel *startLabel;
	IBOutlet UILabel *endLabel;
	IBOutlet UILabel *distanceLabel;
	IBOutlet UISegmentedControl *segmentControl;
	
	CLLocationManager *myLM;
	CLLocation *startLoc;
}

- (void)updateDistanceLabel:(CLLocation *)newLocation;
- (void)updateLocationFor:(UILabel *)thisLabel toLocation:(CLLocation *)newLocation;

- (IBAction)setEnd:(id)sender;
- (IBAction)controlChange:(id)sender;
@end

