//
//  RecordingTestViewController.h
//  RecordingTest
//
//  Created by Brandon Trebitowski on 8/24/09.
//  Copyright __MyCompanyName__ 2009. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <AVFoundation/AVAudioRecorder.h>
#import <AVFoundation/AVAudioPlayer.h>
#import <AVFoundation/AVAudioSession.h>
#import <CoreAudio/CoreAudioTypes.h>

@interface RecordingTestViewController : UIViewController<AVAudioRecorderDelegate,AVAudioPlayerDelegate> {
	UIButton * recordBtn;
	BOOL recording;
	
	AVAudioRecorder * soundRecorder;
	NSString * soundFileURL;
}

@property (nonatomic, retain) IBOutlet UIButton * recordBtn;
@property (nonatomic, retain) AVAudioRecorder * soundRecorder;

- (IBAction) record:(id) sender;
- (IBAction) play:(id) sender;

@end

