//
//  quartzViewController.m
//  quartz
//
//  Created by Shannon Appelcline on 9/25/08.
//  Copyright __MyCompanyName__ 2008. All rights reserved.
//

#import "quartzViewController.h"

@implementation quartzViewController



/*
// Override initWithNibName:bundle: to load the view using a nib file then perform additional customization that is not appropriate for viewDidLoad.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically.
- (void)loadView {
}
*/


- (void)viewDidLoad {
    [super viewDidLoad];
	
	UIGraphicsBeginImageContext(CGSizeMake(20,20));
	CGContextRef ctx = UIGraphicsGetCurrentContext();
	
	CGContextBeginPath(ctx);
	CGContextAddArc(ctx,10,10,10,0,2*M_PI,1);

//	CGContextSetRGBFillColor(ctx, 1, 0, 0, 1);
	CGContextSetFillColorWithColor(ctx, [[UIColor redColor] CGColor]);
	CGContextFillPath(ctx);
	
	UIImage *redBall = UIGraphicsGetImageFromCurrentImageContext();
	UIGraphicsEndImageContext();
	
	UIImageView *redBallView = [[UIImageView alloc] initWithImage:redBall];
	redBallView.center = CGPointMake(160,330);
	[self.view addSubview:redBallView];

	UIImage *origPic = [UIImage imageNamed:@"pier.jpg"];
	UIGraphicsBeginImageContext(origPic.size);
	CGContextRef thisctx = UIGraphicsGetCurrentContext();

	// Image transformations Go Here
	CGContextRotateCTM(thisctx, M_PI);
	CGContextTranslateCTM(thisctx, -origPic.size.width, -origPic.size.height);	

	CGContextDrawImage(thisctx,CGRectMake(0,0,origPic.size.width,origPic.size.height),[origPic CGImage]);

	// Image modification goes here		
	CGContextSetLineWidth(thisctx, 20);
    CGContextBeginPath(thisctx);
	CGContextMoveToPoint(thisctx, 0, 0);
	CGContextAddLineToPoint(thisctx, origPic.size.width,origPic.size.height);
	CGContextMoveToPoint(thisctx, 0, origPic.size.height);
	CGContextAddLineToPoint(thisctx, origPic.size.width, 0);
	CGContextSetStrokeColorWithColor(thisctx, [[UIColor redColor] CGColor]);
	CGContextStrokePath(thisctx);
	
	UIImage *newPic = UIGraphicsGetImageFromCurrentImageContext();
	UIGraphicsEndImageContext();

	UIImageView *showPic = [[UIImageView alloc] initWithImage:newPic];
	showPic.frame = CGRectMake(100,200,80,120);
	[self.view addSubview:showPic];
	
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning]; // Releases the view if it doesn't have a superview
    // Release anything that's not essential, such as cached data
}


- (void)dealloc {
    [super dealloc];
}

@end
