//
//  geoaltitudeViewController.m
//  geoaltitude
//
//  Created by Shannon Appelcline on 10/15/08.
//  Copyright __MyCompanyName__ 2008. All rights reserved.
//

#import "geoaltitudeViewController.h"

@implementation geoaltitudeViewController



/*
// Override initWithNibName:bundle: to load the view using a nib file then perform additional customization that is not appropriate for viewDidLoad.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically.
- (void)loadView {
}
*/


- (void)viewDidLoad {
    [super viewDidLoad];
	
	myLM = [[CLLocationManager alloc] init];
	myLM.delegate = self;
	myLM.desiredAccuracy = kCLLocationAccuracyBest;
	[myLM startUpdatingLocation];
	[myActivity startAnimating];
	
}

- (void)locationManager:(CLLocationManager *)manager didUpdateToLocation:(CLLocation *)newLocation fromLocation:(CLLocation *)oldLocation {
	[myLM stopUpdatingLocation];
	[myActivity stopAnimating];

	NSString *gnLookup = [NSString stringWithFormat:@"http://ws.geonames.org/gtopo30?lat=%f&lng=%f&style=full&type=XML",newLocation.coordinate.latitude,newLocation.coordinate.longitude];
	NSXMLParser *gnParser = [[NSXMLParser alloc] initWithContentsOfURL:
							   [NSURL URLWithString:gnLookup]];
	[gnParser setDelegate:self];
	[gnParser parse];		
	
}

- (void)parser:(NSXMLParser *)parser didStartElement:(NSString *)elementName namespaceURI:(NSString *)namespaceURI qualifiedName:(NSString *)qualifiedName attributes:(NSDictionary *)attributeDict
{
	
	if ([elementName compare:@"gtopo30"] == NSOrderedSame) {
		gnAlt = [[NSMutableString alloc] initWithCapacity:4];
	}
}

- (void)parser:(NSXMLParser *)parser foundCharacters:(NSString *)string {
	if (gnAlt && string) {
		[gnAlt appendString:string];
	}
}

- (void)parser:(NSXMLParser *)parser didEndElement:(NSString *)elementName namespaceURI:(NSString *)namespaceURI qualifiedName:(NSString *)qName {

	if ([elementName compare:@"gtopo30"] == NSOrderedSame) {
		altLabel.text = [NSString stringWithFormat:@"%@ m.",gnAlt];
	}
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning]; // Releases the view if it doesn't have a superview
    // Release anything that's not essential, such as cached data
}


- (void)dealloc {
	[myLM release];
	[gnAlt release];
    [super dealloc];
}

@end
