//
//  googlemapsViewController.m
//  googlemaps
//
//  Created by Shannon Appelcline on 10/15/08.
//  Copyright __MyCompanyName__ 2008. All rights reserved.
//

#import "googlemapsViewController.h"

@implementation googlemapsViewController



/*
// Override initWithNibName:bundle: to load the view using a nib file then perform additional customization that is not appropriate for viewDidLoad.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically.
- (void)loadView {
}
*/


- (void)viewDidLoad {
    [super viewDidLoad];
	
	myEntry.returnKeyType = UIReturnKeyDone;

	myLM = [[CLLocationManager alloc] init];
	myLM.delegate = self;
	myLM.desiredAccuracy = kCLLocationAccuracyBest;
	
}

- (BOOL)textFieldShouldReturn:(UITextField *)textField {
	[textField resignFirstResponder];
	return YES;
}


-(IBAction)setMap:(id)sender {

	if (myEntry.text) {
		[myLM startUpdatingLocation];
		[myActivity startAnimating];
	}
}

- (void)locationManager:(CLLocationManager *)manager didUpdateToLocation:(CLLocation *)newLocation fromLocation:(CLLocation *)oldLocation {
	
	if (myEntry.text) {
		[myLM stopUpdatingLocation];
		[myActivity stopAnimating];

		NSMutableString *googleSearch = [NSMutableString stringWithFormat:@"http://maps.google.com?q=%@&sll=%f,%f",myEntry.text,newLocation.coordinate.latitude,newLocation.coordinate.longitude];
		[googleSearch replaceOccurrencesOfString:@" " withString:@"+" options:NSCaseInsensitiveSearch range:NSMakeRange(0, [googleSearch length])];
		
		[myWeb loadRequest:[NSURLRequest requestWithURL:[NSURL URLWithString:googleSearch]]];

	}
	
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning]; // Releases the view if it doesn't have a superview
    // Release anything that's not essential, such as cached data
}


- (void)dealloc {
    [super dealloc];
}

@end
