//
//  pseudopingViewController.m
//  pseudoping
//
//  Created by Shannon Appelcline on 10/10/08.
//  Copyright __MyCompanyName__ 2008. All rights reserved.
//

#import "pseudopingViewController.h"

@implementation pseudopingViewController



/*
// Override initWithNibName:bundle: to load the view using a nib file then perform additional customization that is not appropriate for viewDidLoad.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically.
- (void)loadView {
}
*/


- (void)viewDidLoad {
	myInput.returnKeyType = UIReturnKeyDone;
	
    [super viewDidLoad];
}

- (BOOL)textFieldShouldReturn:(UITextField *)textField {
	[textField resignFirstResponder];
	return YES;
}

-(IBAction)reportStatus:(id)sender {

	CFStreamError errorTest;
	
	if (myInput.text) {

		CFHostRef myHost = CFHostCreateWithName(kCFAllocatorDefault, (CFStringRef)myInput.text);
		
		if (myHost) {
			if (CFHostStartInfoResolution(myHost, kCFHostAddresses, &errorTest)) {

				myOutput.text = [myInput.text stringByAppendingString:@" COULD be resolved."];
			} else {
				myOutput.text = [myInput.text stringByAppendingFormat:@" could NOT be resolved (Error: %i).",errorTest.error];
			}
		}
		CFRelease(myHost);

	}
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning]; // Releases the view if it doesn't have a superview
    // Release anything that's not essential, such as cached data
}


- (void)dealloc {
    [super dealloc];
}

@end
