//
//  webthumbsViewController.m
//  webthumbs
//
//  Created by Shannon Appelcline on 10/9/08.
//  Copyright __MyCompanyName__ 2008. All rights reserved.
//

#import "webthumbsViewController.h"

@implementation webthumbsViewController



/*
// Override initWithNibName:bundle: to load the view using a nib file then perform additional customization that is not appropriate for viewDidLoad.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically.
- (void)loadView {
}
*/


- (void)viewDidLoad {
    [super viewDidLoad];

	webArray = [[NSArray alloc] initWithObjects:webView1,webView2,webView3,webView4,nil];
	
	NSString *paths = [[NSBundle mainBundle] resourcePath];
    NSString *filePath = [paths 
				stringByAppendingPathComponent:@"weblist.txt"];

	NSString *webList = [NSString stringWithContentsOfFile:filePath encoding:NSASCIIStringEncoding error:nil];
	NSArray *webListArray = [webList componentsSeparatedByString:@"\n"];

	for (int i = 0 ; i < [webArray count] ; i++) {
		[[webArray objectAtIndex:i] loadRequest:
		 [NSURLRequest requestWithURL:
		  [NSURL URLWithString:
		   [webListArray objectAtIndex:i]]]];		
	}
}

- (void)webView:(UIWebView *)webView didFailLoadWithError:(NSError *)thiserror {

	NSLog(@"Web Thumbs Error: %@",thiserror);
	if (thiserror.code == -1003) {
		[webView removeFromSuperview];
	}
}

- (void)webViewDidFinishLoad:(UIWebView *)webView {

	if (webView.canGoBack == YES) {
		for (int i = 0 ; i < [webArray count] ; i ++) {
			if ([webArray objectAtIndex:i] != webView) {
				[[webArray objectAtIndex:i] removeFromSuperview];
			} else {
				webView.frame = [[UIScreen mainScreen] bounds];
			}
		}
	}
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning]; // Releases the view if it doesn't have a superview
    // Release anything that's not essential, such as cached data
}


- (void)dealloc {
	[webArray release];
    [super dealloc];
}

@end
