//
//  GKChatViewController.h
//  GKChat
//
//  Created by Brandon Trebitowski on 10/8/09.
//  Copyright RightSprite 2009. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <GameKit/GameKit.h>

@interface GKChatViewController : UIViewController <GKPeerPickerControllerDelegate, GKSessionDelegate> {
	UITextField * sendTextField;
	UITextView  * chatTextArea;
	 
	GKSession			   * chatSession;
	GKPeerPickerController * chatPicker;
	NSMutableArray		   * peers;
}

@property (nonatomic, retain) IBOutlet UITextField * sendTextField;
@property (nonatomic, retain) IBOutlet UITextView  * chatTextArea;

@property (nonatomic, retain) GKSession * chatSession;

-(IBAction) connect:(id)sender;
-(IBAction) send:(id)sender;


@end

