//
//  pushtestAppDelegate.m
//  pushtest
//
//  Created by Brandon Trebitowski on 10/25/09.
//  Copyright RightSprite 2009. All rights reserved.
//

#import "pushtestAppDelegate.h"
#import "pushtestViewController.h"

@implementation pushtestAppDelegate

@synthesize registered;
@synthesize window;
@synthesize viewController;


- (void)applicationDidFinishLaunching:(UIApplication *)application {    
    
	[[UIApplication sharedApplication] registerForRemoteNotificationTypes:(UIRemoteNotificationTypeAlert | UIRemoteNotificationTypeBadge | UIRemoteNotificationTypeSound)];
	
    // Override point for customization after app launch    
    [window addSubview:viewController.view];
    [window makeKeyAndVisible];
}


- (void)dealloc {
    [viewController release];
    [window release];
    [super dealloc];
}

// Delegation methods

- (void)application:(UIApplication *)app didRegisterForRemoteNotificationsWithDeviceToken:(NSData *)devToken {
	
    const void *devTokenBytes = [devToken bytes];
	
    self.registered = YES;
	NSLog(@"registered %@",[devToken description]);
    /*[self sendProviderDeviceToken:devTokenBytes]; // custom method
	 */
	
}

- (void)application:(UIApplication *)app didFailToRegisterForRemoteNotificationsWithError:(NSError *)err {
	
    NSLog(@"Error in registration. Error: %@", err);
	
}

@end
