//
//  MyAnnotation.m
//  CustomAnnotation
//
//  Created by Brandon Trebitowski on 12/3/09.
//  Copyright 2009 RightSprite. All rights reserved.
//

#import "MyAnnotation.h"


@implementation MyAnnotation

@synthesize title;
@synthesize subtitle;
@synthesize annotationType;

- (id)initWithCoords:(CLLocationCoordinate2D) coords andType:(AnnotationType) type {
	if(self = [super init]) {
		coordinate = coords;
		self.annotationType = type;
	}
	return self;
}

- (CLLocationCoordinate2D) coordinate {
	return coordinate;
}

- (void) dealloc {
	[title release];
	[subtitle release];
	[super dealloc];
}

@end
