//
//  MyAnnotationView.m
//  CustomAnnotation
//
//  Created by Brandon Trebitowski on 12/4/09.
//  Copyright 2009 RightSprite. All rights reserved.
//

#import "MyAnnotationView.h"
@implementation MyAnnotationView

- (id)initWithAnnotation:(id )annotation reuseIdentifier:(NSString *)reuseIdentifier
{
	MyAnnotation * myAnnotation = (MyAnnotation*)annotation;
 
	if([myAnnotation annotationType] == Apple) {
		self = [super initWithAnnotation:myAnnotation reuseIdentifier:reuseIdentifier];
		//self.backgroundColor = [UIColor clearColor];
		self.image = [UIImage imageNamed:@"sign-apple.png"];
	} else if([myAnnotation annotationType] == Google) {
		self = [super initWithAnnotation:myAnnotation reuseIdentifier:reuseIdentifier];
		//self.backgroundColor = [UIColor clearColor];
		self.image = [UIImage imageNamed:@"sign-google.png"];
	}

	return self;
}

- (void)dealloc {
    [super dealloc];
}

@end
