//
//  SimpleMapViewController.m
//  SimpleMap
//
//  Created by Brandon Trebitowski on 11/12/09.
//  Copyright RightSprite 2009. All rights reserved.
//

#import "SimpleMapViewController.h"

@implementation SimpleMapViewController

@synthesize theMap;

/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/



// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
	[theMap setMapType:MKMapTypeSatellite];
}

- (IBAction) changeMapType:(id)sender {
	UISegmentedControl *control = (UISegmentedControl *)sender;

	[theMap setMapType:control.selectedSegmentIndex];
}

- (IBAction) apple:(id) sender {
	CLLocationCoordinate2D coords;
	coords.latitude  = 37.33188;
	coords.longitude = -122.029497;
	MKCoordinateSpan span = MKCoordinateSpanMake(0.002389, 0.005681);
	
	MKCoordinateRegion region = MKCoordinateRegionMake(coords, span);
	[theMap setRegion:region animated:YES];
}

/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}

@end
