//
//  RootViewController.h
//  WPStore
//
//  Created by Brandon Trebitowski on 12/19/09.
//  Copyright RightSprite 2009. All rights reserved.
//

#import <StoreKit/StoreKit.h>

@interface RootViewController : UITableViewController<SKProductsRequestDelegate,SKPaymentTransactionObserver> {
	NSMutableArray * products;
	NSMutableArray * transactionHistory;
}

@property (nonatomic, retain) NSMutableArray * transactionHistory;

- (void) requestProductData;
- (void) completeTransaction: (SKPaymentTransaction *)transaction;
- (void) restoreTransaction: (SKPaymentTransaction *)transaction;
- (void) failedTransaction: (SKPaymentTransaction *)transaction;
- (void) recordTransaction:(SKPaymentTransaction * )transaction;
- (void) provideContent:(NSString * )productIdentifier;

@end
