//
//  WallpaperViewController.m
//  WPStore
//
//  Created by Brandon Trebitowski on 12/19/09.
//  Copyright 2009 RightSprite. All rights reserved.
//

#import "WallpaperViewController.h"

@implementation WallpaperViewController

@synthesize product;
@synthesize imageView;
@synthesize button;

- (void)viewDidLoad {
    [super viewDidLoad];
	imageView.image = [UIImage imageNamed:[NSString stringWithFormat:@"%@.jpeg",self.product.productIdentifier]];
}

- (IBAction) buttonClicked:(id) sender {
	SKPayment *payment = [SKPayment paymentWithProductIdentifier:self.product.productIdentifier];
	[[SKPaymentQueue defaultQueue] addPayment:payment];
}

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	imageView = nil;
	button = nil;
}


- (void)dealloc {
    [super dealloc];
	[product release];
}


@end
