//
//  MyCustomAccessoryTextField.m
//  CustomAccessoryView
//
//  Created by Brandon Trebitowski on 4/2/10.
//  Copyright 2010 RightSprite. All rights reserved.
//

#import "MyCustomAccessoryTextField.h"


@implementation MyCustomAccessoryTextField


- (id)initWithFrame:(CGRect)frame {
    if ((self = [super initWithFrame:frame])) {
        
    }
    return self;
}

-(id) initWithCoder:(NSCoder *)aDecoder
{
	[super initWithCoder:aDecoder];
	return self;
}

- (UIView *)inputAccessoryView {
	CGRect accessFrame = CGRectMake(0.0, 0.0, 768.0, 44.0);
	UIToolbar *toolbar = [[[UIToolbar alloc] initWithFrame:accessFrame] autorelease];
	
	UIBarButtonItem *buttonSmile = 
		[[[UIBarButtonItem alloc] initWithTitle:@":)" 
										 style:UIBarButtonItemStyleBordered 
										target:self 
										action:@selector(sendSmile:)] autorelease];
	UIBarButtonItem *buttonSad = [[[UIBarButtonItem alloc] initWithTitle:@":(" 
																   style:UIBarButtonItemStyleBordered 
																  target:self 
																  action:@selector(sendSad:)] autorelease];
	
	[toolbar setItems:[NSArray arrayWithObjects:buttonSmile,buttonSad,nil]];
	
    return toolbar;
}

- (void) sendSmile:(id) sender
{
	self.text = [self.text stringByAppendingString:@":)"];
}

- (void) sendSad:(id) sender
{
	self.text = [self.text stringByAppendingString:@":("];
}

- (void)dealloc {
    [super dealloc];
}


@end
