//
//  MyCustomAccessoryTextField.m
//  CustomAccessoryView
//
//  Created by Brandon Trebitowski on 4/2/10.
//  Copyright 2010 RightSprite. All rights reserved.
//

#import "MyCustomTextFieldKB.h"


@implementation MyCustomTextFieldKB


- (id)initWithFrame:(CGRect)frame {
    if ((self = [super initWithFrame:frame])) {
        
    }
    return self;
}

-(id) initWithCoder:(NSCoder *)aDecoder
{
	[super initWithCoder:aDecoder];
	// Initialization code
	UIBarButtonItem *buttonSmile = [[[UIBarButtonItem alloc] initWithTitle:@":)" 
																	 style:UIBarButtonItemStyleBordered 
																	target:self 
																	action:@selector(sendText:)] autorelease];
	UIBarButtonItem *buttonSad = [[[UIBarButtonItem alloc] initWithTitle:@":(" 
																   style:UIBarButtonItemStyleBordered 
																  target:self 
																  action:@selector(sendText:)] autorelease];
	UIBarButtonItem *buttonSurprise = [[[UIBarButtonItem alloc] initWithTitle:@":o" 
																		style:UIBarButtonItemStyleBordered 
																	   target:self 
																	   action:@selector(sendText:)] autorelease];
	UIBarButtonItem *buttonWink = [[[UIBarButtonItem alloc] initWithTitle:@";)" 
																	style:UIBarButtonItemStyleBordered 
																   target:self 
																   action:@selector(sendText:)] autorelease];
	buttons = [[NSArray alloc] initWithObjects:buttonSmile, buttonSad, buttonSurprise,buttonWink,nil];
	return self;
}

- (UIView *)inputView {
	CGRect accessFrame = CGRectMake(0.0, 0.0, 768.0, 44.0);
	UIToolbar *toolbar = [[[UIToolbar alloc] initWithFrame:accessFrame] autorelease];
	[toolbar setItems:buttons];
	
	inputView = toolbar;
    return inputView;
}

- (void) sendText:(id) sender
{
	if(sender == [buttons objectAtIndex:0])
		self.text = [self.text stringByAppendingString:@":)"];
	if(sender == [buttons objectAtIndex:1])
		self.text = [self.text stringByAppendingString:@":("];
	if(sender == [buttons objectAtIndex:2])
		self.text = [self.text stringByAppendingString:@":o"];
	if(sender == [buttons objectAtIndex:3])
		self.text = [self.text stringByAppendingString:@";)"];
}

- (void)dealloc {
    [super dealloc];
	[buttons release];
}


@end
