//
//  tabexAppDelegate.m
//  tabex
//
//  Created by Shannon Appelcline on 6/19/08.
//  Copyright __MyCompanyName__ 2008. All rights reserved.
//

#import "tabexAppDelegate.h"
#import "FirstViewController.h"

@implementation tabexAppDelegate

@synthesize window;
@synthesize tabBarController;


- (void)applicationDidFinishLaunching:(UIApplication *)application {

	UIViewController *secondController =
		[tabBarController.viewControllers objectAtIndex:1];
	UIViewController *thirdController =
		[tabBarController.viewControllers objectAtIndex:2];
		
	UITextView *secondView = [[UITextView alloc] initWithFrame:[[UIScreen mainScreen] bounds]];
	secondView.text = @"A word count would appear here.";
	secondView.editable = NO;

	secondController.view = secondView;
	secondController.title = @"Word Count";
	secondController.tabBarItem.badgeValue = @"16";

	UITextView *thirdView = [[UITextView alloc] initWithFrame:[[UIScreen mainScreen] bounds]];
	thirdView.text = @"A search function would go here.";
	thirdView.editable = NO;
	
	thirdController.view = thirdView;
	
	[window addSubview:tabBarController.view];
	
	[secondView release];
	[thirdView release];
}


/*
 Optional UITabBarControllerDelegate method
- (void)tabBarController:(UITabBarController *)tabBarController didSelectViewController:(UIViewController *)viewController {
}
*/

/*
 Optional UITabBarControllerDelegate method
- (void)tabBarController:(UITabBarController *)tabBarController didEndCustomizingViewControllers:(NSArray *)viewControllers changed:(BOOL)changed {
}
*/


- (void)dealloc {
	[tabBarController release];
	[window release];
	[super dealloc];
}

@end

