//
//  DatabaseViewController.m
//  dbnav
//
//  Created by Shannon Appelcline on 9/11/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import "DatabaseViewController.h"

@implementation DatabaseViewController

- (id)initWithParentid:(int)parentid Menu:(SKMenu *)passedMenu {
	if (self = [super initWithStyle:UITableViewStylePlain]) {
		menuparentid=parentid;
		myMenu = passedMenu;
		
//		UIToolbar *toolbar = [UIToolbar new];
//		toolbar.barStyle = UIBarStyleDefault;
//		[toolbar sizeToFit];
		
		//Set the frame
//		CGFloat toolbarHeight = [toolbar frame].size.height;
//		CGRect mainViewBounds = self.view.bounds;
//		[toolbar setFrame:CGRectMake(CGRectGetMinX(mainViewBounds), CGRectGetMinY(mainViewBounds) + CGRectGetHeight(mainViewBounds) - toolbarHeight, CGRectGetWidth(mainViewBounds),toolbarHeight)];
		
		//Here we go
//		[self.view addSubview:toolbar];
	}
	return self;
	
}

- (id)initWithStyle:(UITableViewStyle)style {
	if (self = [super initWithStyle:style]) {
	}
	return self;
}


- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
	return 1;
}


- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
	
	return [myMenu countForMenuWithParent:menuparentid];
}


- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
	
	static NSString *MyIdentifier = @"MyIdentifier";
	
	UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:MyIdentifier];
	if (cell == nil) {
		cell = [[[UITableViewCell alloc] initWithFrame:CGRectZero reuseIdentifier:MyIdentifier] autorelease];
	}
	int thisRow = indexPath.row + 1;
	cell.textLabel.text = [myMenu contentForMenuWithParent:menuparentid Row:thisRow content:@"title"];
	
	NSString *cellType = [myMenu contentForMenuWithParent:menuparentid Row:thisRow content:@"entrytype"];
	
	if ([cellType compare:@"category"] == NSOrderedSame) {
  	  cell.accessoryType = UITableViewCellAccessoryDisclosureIndicator;
	}
	return cell;
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {

	int thisRow = indexPath.row + 1;
	NSString *cellType = [myMenu contentForMenuWithParent:menuparentid Row:thisRow content:@"entrytype"];

	if ([cellType compare:@"category"] == NSOrderedSame) {
		NSString *thisText = [myMenu contentForMenuWithParent:menuparentid Row:thisRow content:@"title"];
		int newParent = [myMenu integerForMenuWithParent:menuparentid Row:thisRow content:@"catid"];
	
		DatabaseViewController *newController = [[DatabaseViewController alloc] initWithParentid:newParent Menu:myMenu];
		newController.title = thisText;
	
		[self.navigationController pushViewController:newController animated:YES];	
	
		[newController release];
	}
}
/*
 - (void)tableView:(UITableView *)tableView commitEditingStyle:(UITableViewCellEditingStyle)editingStyle forRowAtIndexPath:(NSIndexPath *)indexPath {
 
 if (editingStyle == UITableViewCellEditingStyleDelete) {
 }
 if (editingStyle == UITableViewCellEditingStyleInsert) {
 }
 }
 */
/*
 - (BOOL)tableView:(UITableView *)tableView canEditRowAtIndexPath:(NSIndexPath *)indexPath {
 return YES;
 }
 */
/*
 - (void)tableView:(UITableView *)tableView moveRowAtIndexPath:(NSIndexPath *)fromIndexPath toIndexPath:(NSIndexPath *)toIndexPath {
 }
 */
/*
 - (BOOL)tableView:(UITableView *)tableView canMoveRowAtIndexPath:(NSIndexPath *)indexPath {
 return YES;
 }
 */


- (void)dealloc {
	[super dealloc];
}


- (void)viewDidLoad {
	[super viewDidLoad];
}


- (void)viewWillAppear:(BOOL)animated {
	[super viewWillAppear:animated];
}

- (void)viewDidAppear:(BOOL)animated {
	[super viewDidAppear:animated];
}

- (void)viewWillDisappear:(BOOL)animated {
}

- (void)viewDidDisappear:(BOOL)animated {
}

- (void)didReceiveMemoryWarning {
	[super didReceiveMemoryWarning];
}


@end

