//
//  collageViewController.h
//  collage
//
//  Created by Shannon Appelcline on 9/16/08.
//  Copyright __MyCompanyName__ 2008. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <QuartzCore/QuartzCore.h>
#import "collageView.h"
#import "tempImageView.h"

@interface collageViewController : UIViewController <UINavigationControllerDelegate,UIImagePickerControllerDelegate> {

	IBOutlet UIToolbar *myTools;
	
	tempImageView *myImageView;
	UISlider *mySlider;
	CGSize startingSize;
	
	NSArray *origToolbar;
}

-(void)choosePic:(id)sender;
-(void)takePic:(id)sender;
-(void)finishPic:(id)sender;
-(void)savePic:(id)sender;

-(float)scaleImage:(UIImage *)image;

@end

