//
//  imagesAppDelegate.m
//  images
//
//  Created by Shannon Appelcline on 9/15/08.
//  Copyright __MyCompanyName__ 2008. All rights reserved.
//

#import "imagesViewController.h"

@implementation imagesViewController

/*
 Implement loadView if you want to create a view hierarchy programmatically
- (void)loadView {
}
 */

- (void)viewDidLoad {

	UIImage *myImage1 = [UIImage imageNamed:@"sproul1.jpg"];
	UIImage *myImage2 = [UIImage imageNamed:@"sproul2.jpg"];
	UIImage *myImage3 = [UIImage imageNamed:@"sproul3.jpg"];
	UIImage *myImage4 = [UIImage imageNamed:@"sproul4.jpg"];
			
	UIImageView *myImageView = [[UIImageView alloc] initWithFrame:[[UIScreen mainScreen] bounds]];
	myImageView.animationImages = [NSArray arrayWithObjects:myImage1,
									myImage2,myImage3,myImage4,nil];
	myImageView.animationDuration = 4;
	[myImageView startAnimating];

	[self.view addSubview:myImageView];

	[myImageView release];

	[super viewDidLoad];
}


- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
	// Return YES for supported orientations
	return (interfaceOrientation == UIInterfaceOrientationPortrait);
}


- (void)didReceiveMemoryWarning {
	[super didReceiveMemoryWarning]; // Releases the view if it doesn't have a superview
	// Release anything that's not essential, such as cached data
}


- (void)dealloc {
	[super dealloc];
}

@end
