//
//  mpwrapperAppDelegate.m
//  mpwrapper
//
//  Created by Shannon Appelcline on 9/19/08.
//  Copyright __MyCompanyName__ 2008. All rights reserved.
//

#import "mpwrapperViewController.h"

@implementation mpwrapperViewController

- (void)viewDidLoad {

	myText.returnKeyType = UIReturnKeyDone;
	
	myVolume = [[MPVolumeView alloc] initWithFrame:CGRectMake(200, 100, 100, 200)];
	[myVolume sizeToFit];
	[self.view addSubview:myVolume];
	
}
	
- (BOOL)textFieldShouldReturn:(UITextField *)textField {
	[textField resignFirstResponder];
	return YES;
}

-(IBAction)chooseMusic:(id)sender {
	
	myMP = 
		[[MPMoviePlayerController alloc]		 
			initWithContentURL:[NSURL URLWithString:myText.text]];
	myMP.controlStyle = MPMovieControlStyleFullscreen;
	
	myMP.fullscreen = YES;
	myMP.view.frame = CGRectMake(0, 0, 320, 480);
	
	[[NSNotificationCenter defaultCenter] addObserver:self
											 selector:@selector(movieDidLoad:)
												 name:@"MPMoviePlayerContentPreloadDidFinishNotification" object:nil];
	
	[[NSNotificationCenter defaultCenter] addObserver:self
											 selector:@selector(movieDidFinish:)
												 name:@"MPMoviePlayerPlaybackDidFinishNotification" object:nil];
	
	errorLabel.text = @"File is loading ...";
	[myActivity startAnimating];
	
}

-(void)movieDidLoad:(id)sender {

	errorLabel.text = [NSString	string];
	[myActivity stopAnimating];
	[self.view addSubview:myMP.view];
	[myMP play];
	
}

-(void)movieDidFinish:(id)sender {
	
	myText.text = [NSString string];
}


/*
 Implement loadView if you want to create a view hierarchy programmatically
- (void)loadView {
}
 */

/*
 Implement viewDidLoad if you need to do additional setup after loading the view.
- (void)viewDidLoad {
	[super viewDidLoad];
}
 */


- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
	// Return YES for supported orientations
	return (interfaceOrientation == UIInterfaceOrientationPortrait);
}


- (void)didReceiveMemoryWarning {
	[super didReceiveMemoryWarning]; // Releases the view if it doesn't have a superview
	// Release anything that's not essential, such as cached data
}


- (void)dealloc {
//	[myVolume release];
	[super dealloc];
}

@end
