//
//  webpostViewController.m
//  webpost
//
//  Created by Shannon Appelcline on 11/7/08.
//  Copyright __MyCompanyName__ 2008. All rights reserved.
//

#import "webpostViewController.h"

@implementation webpostViewController


- (void)searchBarSearchButtonClicked:(UISearchBar *)searchBar {
	
	[searchBar resignFirstResponder];
	[myActivity startAnimating];

	NSString *spellcheck = [NSString stringWithFormat:@"<?xml version=\"1.0\" encoding=\"utf-8\" ?>\n<spellrequest ><text>%@</text></spellrequest>",searchBar.text];
	
	NSURL *myURL = [NSURL URLWithString:@"http://www.google.com/tbproxy/spell?lang=en&hl=en"];
	NSMutableURLRequest *myRequest = [NSMutableURLRequest requestWithURL:myURL];
	[myRequest setValue:@"text/xml" forHTTPHeaderField:@"Content-type"];
	[myRequest setHTTPMethod:@"POST"];
	[myRequest setHTTPBody:[spellcheck dataUsingEncoding:NSASCIIStringEncoding]];
	
	NSURLResponse *response;
	NSError *error;
	NSData *myReturn = [NSURLConnection sendSynchronousRequest:myRequest
						returningResponse:&response error:&error];
	[myActivity stopAnimating];
	
	NSLog(@"POST: %@/%@/%@",[NSString stringWithCString:[myReturn bytes] encoding:NSASCIIStringEncoding],response,error);
}

/*
// Override initWithNibName:bundle: to load the view using a nib file then perform additional customization that is not appropriate for viewDidLoad.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically.
- (void)loadView {
}
*/


/*
// Implement viewDidLoad to do additional setup after loading the view.
- (void)viewDidLoad {
    [super viewDidLoad];
}
*/


- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning]; // Releases the view if it doesn't have a superview
    // Release anything that's not essential, such as cached data
}


- (void)dealloc {
    [super dealloc];
}

@end
